<?xml version="1.0"?>
<!--
 | Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 | See license distributed with this file and
 | available online at http://www.uportal.org/license.html
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


	<!-- ################################################################################# -->
    <!--                                    COLUMN                                         -->
	<!-- ################################################################################# -->
	<!-- SAMPLE XML -->
	<!--
	<column unremovable="false" immutable="false" ID="a24" width="13">
		<channel ... />
		<channel ... />
		<channel ... />
	</column>
	-->
    <xsl:template match="column">
        <xsl:choose>
            <xsl:when test="$mode='preferences'">
                <div class="portal-preferences-column">
                    <!-- Begin Column Table -->
                    <div class="portal-preferences-column-inner">
                        <xsl:if test="@ID=$selectedID">
                            <div class="portal-preferences-column-selected">
                                <div class="portal-preferences-column-selected-inner">
                                    <span><xsl:value-of select="$token[@name='COLUMN_SELECTED']" /></span>
                                </div>
                            </div>
                        </xsl:if>
                        <div class="portal-preferences-column-header">
                            <div class="portal-preferences-column-header-inner">
                                <xsl:call-template name="columnRestrictions"/>
                            </div>
                        </div>
                        <div class="portal-preferences-column-body">
                            <div class="portal-preferences-column-body-inner portlet-ajax-target" id="{@ID}">
                                <xsl:apply-templates>
                                    <xsl:with-param name="type" select="'channel'"/>
                                </xsl:apply-templates>
                            </div>
                        </div>
                    </div>
                    <!-- End Column Table -->
                </div>
            </xsl:when>
            <xsl:otherwise>
                <div class="portal-column-body">
                    <div class="portal-column-body-inner portlet-ajax-target" id="{@ID}">
                        <xsl:apply-templates/>
                    </div>
                </div>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    

	<!-- ################### -->
    <!-- COLUMN RESTRICTIONS -->
	<!-- ################### -->
    <xsl:template name="columnRestrictions">

		<!-- COLUMN WIDTH ADJUSTMENT -->
        <xsl:if test="/layout/navigation/focusedTab/@immutable='false' and count(../column)&gt;1">
	        <div class="portal-column-controls-width-display">
		        <xsl:choose>
		        	<xsl:when test="$USE_WIDE_NARROW_COLUMNS = 'true'">
				        <div class="portal-column-controls-width-toggle">
				        	<xsl:choose>
				        		<xsl:when test="@width = $NARROW_COLUMN_WIDTH">
					        		<span class="first"><xsl:value-of select="$token[@name='WIDTH_NARROW_SELECTED']" /></span>
				        		</xsl:when>
				        		<xsl:otherwise>
					        		<a href="{$baseActionURL}?focusedTabID={$focusedTabID}&amp;mode={$mode}&amp;targetRestriction=no targetRestriction parameter&amp;uP_sfattr=width&amp;uP_sparam=focusedTabID&amp;uP_sparam=mode&amp;uP_sparam=targetRestriction&amp;width_folderId={@ID}&amp;width_{@ID}_value={$NARROW_COLUMN_WIDTH}" class="first" title="{$token[@name='WIDTH_NARROW_LONG_LABEL']}"><xsl:value-of select="$token[@name='WIDTH_NARROW_LABEL']" /></a>
				        		</xsl:otherwise>
				        	</xsl:choose>
				        	<xsl:choose>
				        		<xsl:when test="@width = 100">
					        		<span class="last"><xsl:value-of select="$token[@name='WIDTH_WIDE_SELECTED']" /></span>
				        		</xsl:when>
				        		<xsl:otherwise>
						        	<a href="{$baseActionURL}?focusedTabID={$focusedTabID}&amp;mode={$mode}&amp;targetRestriction=no targetRestriction parameter&amp;uP_sfattr=width&amp;uP_sparam=focusedTabID&amp;uP_sparam=mode&amp;uP_sparam=targetRestriction&amp;width_folderId={@ID}&amp;width_{@ID}_value=100" class="last" title="{$token[@name='WIDTH_WIDE_LONG_LABEL']}"><xsl:value-of select="$token[@name='WIDTH_WIDE_LABEL']" /></a>
				        		</xsl:otherwise>
				        	</xsl:choose>
				        </div>
		        	</xsl:when>
		          
		        	<xsl:otherwise>
			        	<form method="post" action="{$baseActionURL}" class="portal-column-controls-width-enter">
			                <input type="hidden" name="uP_sparam" value="mode"/>
			                <input type="hidden" name="mode" value="{$mode}"/>
			                <input type="hidden" name="uP_sparam" value="focusedTabID"/>
			                <input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
			                <input type="hidden" name="uP_sparam" value="targetRestriction"/>
			                <input type="hidden" name="targetRestriction" value="no targetRestriction parameter"/>
		                    <input type="hidden" name="uP_sfattr" value="width"/>
		                    <input type="hidden" name="width_folderId" value="{@ID}"/>
		                    <label><span><xsl:value-of select="$token[@name='WIDTH_SET']" /></span><input type="text" name="width_{@ID}_value" value="{@width}" size="3" class="input-text" /></label>
			                <input name="normalizeColumnWidths" type="image" src="{$mediaPathSkin}/tab_name_submit.gif" alt="Set Column Width" title="Set Column Width"/>
				        </form>
		        	</xsl:otherwise>
		        </xsl:choose>
	        </div>
        </xsl:if>

    	<!-- COLUMN MOVE CONTROLS -->
        <xsl:if test = "$USE_COLUMN_AUTO_MOVE != 'true'">
	        <div class="portal-column-controls-move">
	        <xsl:choose>
	            <xsl:when test="$selectedID=@ID and $targetAction='Column Move'">
	            	<xsl:call-template name = "COLUMN_CONTROLS" >
	            		<xsl:with-param name="type">CANCEL_MOVE</xsl:with-param>
	            		<xsl:with-param name="url"><xsl:value-of select="$baseActionURL" />?uP_sparam=mode&amp;mode=<xsl:value-of select="$mode" />&amp;uP_sparam=focusedTabID&amp;focusedTabID=<xsl:value-of select="$focusedTabID" />&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true</xsl:with-param>
	            		<xsl:with-param name="class">portal-column-controls-move-cancel-link</xsl:with-param>
	            		<xsl:with-param name="shortLabel" select="$token[@name='CANCEL_COLUMN_MOVE_LABEL']" />
	            		<xsl:with-param name="longLabel" select="$token[@name='CANCEL_COLUMN_MOVE_LONG_LABEL']" />
	            	</xsl:call-template>
	            </xsl:when>
	            <xsl:otherwise>
	                <xsl:choose>
	                    <xsl:when test="/layout/navigation/focusedTab/@immutable='false'">
			            	<xsl:call-template name = "COLUMN_CONTROLS" >
			            		<xsl:with-param name="type">MOVE</xsl:with-param>
			            		<xsl:with-param name="url"><xsl:value-of select="$baseActionURL" />?uP_request_move_targets=<xsl:value-of select="@ID" />&amp;uP_sparam=mode&amp;mode=<xsl:value-of select="$mode" />&amp;uP_sparam=selectedID&amp;selectedID=<xsl:value-of select="@ID" />&amp;uP_sparam=focusedTabID&amp;focusedTabID=<xsl:value-of select="$focusedTabID" />&amp;uP_sparam=targetRestriction&amp;targetRestriction=column&amp;uP_sparam=targetAction&amp;targetAction=Column Move</xsl:with-param>
			            		<xsl:with-param name="class">portal-column-controls-move-link</xsl:with-param>
			            		<xsl:with-param name="shortLabel" select="$token[@name='COLUMN_MOVE_LABEL']" />
			            		<xsl:with-param name="longLabel" select="$token[@name='COLUMN_MOVE_LONG_LABEL']" />
			            	</xsl:call-template>
	                    </xsl:when>
	                    <xsl:otherwise>
			            	<xsl:call-template name = "COLUMN_CONTROLS" >
			            		<xsl:with-param name="type">MOVE</xsl:with-param>
			            		<xsl:with-param name="disabled">true</xsl:with-param>
			            		<xsl:with-param name="class">portal-column-controls-move-link-disabled</xsl:with-param>
			            		<xsl:with-param name="shortLabel" select="$token[@name='COLUMN_MOVE_DISABLED_LABEL']" />
			            		<xsl:with-param name="longLabel" select="$token[@name='COLUMN_MOVE_DISABLED_LONG_LABEL']" />
			            	</xsl:call-template>
	                    </xsl:otherwise>
	                </xsl:choose>
	            </xsl:otherwise>
	        </xsl:choose>
	        </div>
        </xsl:if>

		<!-- COLUMN MOVE LEFT -->
        <xsl:if test = "$USE_COLUMN_AUTO_MOVE = 'true'">
	        <div class="portal-column-controls-move-left">
	        <xsl:choose>
	            <xsl:when test="count(preceding-sibling::*) = 0">
	                <img alt="{$token[@name='COLUMN_MOVE_LEFT_DISABLED_TITLE']}" title="{$token[@name='COLUMN_MOVE_LEFT_DISABLED_TITLE']}" src="{$mediaPathSkin}/col_left_off.gif" />
	            </xsl:when>
	            <xsl:when test="/layout/@immutable='false'">
	                <a href="{$baseActionURL}?focusedTabID={$focusedTabID}&amp;mode=preferences&amp;selectedID=&amp;targetAction=Column%20Move&amp;targetNextID={preceding-sibling::*[1]/@ID}&amp;targetParentID={$focusedTabID}&amp;targetRestriction=column&amp;uP_cancel_targets=true&amp;uP_move_target={@ID}&amp;uP_request_move_targets={@ID}&amp;uP_sparam=focusedTabID&amp;uP_sparam=mode&amp;uP_sparam=selectedID&amp;uP_sparam=targetAction&amp;uP_sparam=targetRestriction"><img alt="{$token[@name='COLUMN_MOVE_LEFT_TITLE']}" title="{$token[@name='COLUMN_MOVE_LEFT_TITLE']}" src="{$mediaPathSkin}/col_left_on.gif" /></a>
	            </xsl:when>
	            <xsl:otherwise>
	                <img alt="{$token[@name='COLUMN_MOVE_LEFT_DISABLED_TITLE']}" title="{$token[@name='COLUMN_MOVE_LEFT_DISABLED_TITLE']}" src="{$mediaPathSkin}/col_left_off.gif" />
	            </xsl:otherwise>
	        </xsl:choose>
	        </div>
        </xsl:if>

		<!-- COLUMN MOVE RIGHT -->
        <xsl:if test = "$USE_COLUMN_AUTO_MOVE = 'true'">
	        <div class="portal-column-controls-move-right">
	        <xsl:choose>
	            <xsl:when test="count(following-sibling::*) = 0">
	                <img alt="{$token[@name='COLUMN_MOVE_RIGHT_DISABLED_TITLE']}" title="{$token[@name='COLUMN_MOVE_RIGHT_DISABLED_TITLE']}" src="{$mediaPathSkin}/col_right_off.gif" />
	            </xsl:when>
	            <xsl:when test="/layout/@immutable='false'">
					<!-- Calculate the ID to move it to (the tab 2 tabs to the right - or leave blank if no tab 2 to the right)  -->
					<xsl:variable name = "rightID">
						<xsl:choose>
							<xsl:when test="following-sibling::*[2]"><xsl:value-of select="following-sibling::*[2]/@ID" /></xsl:when>
							<xsl:otherwise></xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
	                <a href="{$baseActionURL}?focusedTabID={$focusedTabID}&amp;mode=preferences&amp;selectedID=&amp;targetAction=Column%20Move&amp;targetNextID={$rightID}&amp;targetParentID={$focusedTabID}&amp;targetRestriction=column&amp;uP_cancel_targets=true&amp;uP_move_target={@ID}&amp;uP_request_move_targets={@ID}&amp;uP_sparam=focusedTabID&amp;uP_sparam=mode&amp;uP_sparam=selectedID&amp;uP_sparam=targetAction&amp;uP_sparam=targetRestriction"><img alt="{$token[@name='COLUMN_MOVE_RIGHT_TITLE']}" title="{$token[@name='COLUMN_MOVE_RIGHT_TITLE']}" src="{$mediaPathSkin}/col_right_on.gif" /></a>
	            </xsl:when>
	            <xsl:otherwise>
	                <img alt="{$token[@name='COLUMN_MOVE_RIGHT_DISABLED_TITLE']}" title="{$token[@name='COLUMN_MOVE_RIGHT_DISABLED_TITLE']}" src="{$mediaPathSkin}/col_right_off.gif" />
	            </xsl:otherwise>
	        </xsl:choose>
	        </div>
        </xsl:if>

        <!-- COLUMN DELETE CONTROLS -->
        <div class="portal-column-controls-delete">
        <xsl:choose>
            <xsl:when test="@unremovable='false'">
            	<!--<xsl:call-template name = "COLUMN_CONTROLS" >
            		<xsl:with-param name="type">DELETE</xsl:with-param>
            		<xsl:with-param name="url"><xsl:value-of select="$baseActionURL" />?uP_remove_target=<xsl:value-of select="@ID" />&amp;uP_sparam=mode&amp;mode=<xsl:value-of select="$mode" /></xsl:with-param>
            		<xsl:with-param name="class">portal-column-controls-delete-link</xsl:with-param>
            		<xsl:with-param name="shortLabel" select="$token[@name='COLUMN_DELETE_LABEL']" />
            		<xsl:with-param name="longLabel" select="$token[@name='COLUMN_DELETE_LONG_LABEL']" />
            	</xsl:call-template> -->
                <a href="{$baseActionURL}?uP_remove_target={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" class="portal-column-controls-delete-link" onclick="return confirm('{$token[@name='COLUMN_DELETE_CONFIRMATION']}')">
                	<img alt="{$token[@name='COLUMN_DELETE_LONG_LABEL']}" title="{$token[@name='COLUMN_DELETE_LONG_LABEL']}" src="{$mediaPathSkin}/col_delete_on.gif" />
                </a>
            	
            </xsl:when>
            <xsl:otherwise>
            	<!--<xsl:call-template name = "COLUMN_CONTROLS" >
            		<xsl:with-param name="type">DELETE</xsl:with-param>
            		<xsl:with-param name="disabled">true</xsl:with-param>
            		<xsl:with-param name="class">portal-column-controls-delete-link-disabled</xsl:with-param>
            		<xsl:with-param name="shortLabel" select="$token[@name='COLUMN_DELETE_DISABLED_LABEL']" />
            		<xsl:with-param name="longLabel" select="$token[@name='COLUMN_DELETE_DISABLED_LONG_LABEL']" />
            	</xsl:call-template> -->
            	<img alt="{$token[@name='COLUMN_DELETE_DISABLED_LONG_LABEL']}" title="{$token[@name='COLUMN_DELETE_DISABLED_LONG_LABEL']}" src="{$mediaPathSkin}/col_delete_off.gif" />
            </xsl:otherwise>
        </xsl:choose>
        </div>
        
    </xsl:template>
	
</xsl:stylesheet>
