<?xml version="1.0"?>
<!--
 | Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 | See license distributed with this file and
 | available online at http://www.uportal.org/license.html
-->
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xalan"
    xmlns:portal="http://uportal.org/portalUrl"
    xmlns:layout="http://uportal.org/layoutUrl"
    extension-element-prefixes="portal layout">
    
        
    <!-- URL construction XSLT element declaration -->
    <xalan:component prefix="portal" elements="url">
        <xalan:script lang="javaclass" src="org.jasig.portal.url.PortalUrlXalanElements"/>
    </xalan:component>
    
    <xalan:component prefix="layout" elements="addFolder clearMarkings reloadLayout addNode addMarkings moveMarkings removeNode renameNode moveNode">
        <xalan:script lang="javaclass" src="org.jasig.portal.layout.uportal2.LegacyLayoutSourceXalanElements"/>
    </xalan:component>

	<!-- ################################################################################# -->
    <!--                                    HEADER                                         -->
	<!-- ################################################################################# -->	
	<!-- SAMPLE XML -->
	<!--
	<header />
	 -->
    <xsl:template match="header[$isPreferences]">
        <div id="portal-header">
            <div id="portal-header-inner">
                 <xsl:call-template name = "MAIN_LOGO_PREFERENCES" />
           </div>
        </div>
    </xsl:template>
    
    
    <xsl:template name="preferenceInstructions">
    	<div class="portal-preferences-instructions">
    		<div class="portal-preferences-instructions-inner">
    			<div class="portal-preferences-form-controls">
	    			<form class="first" action="{$baseActionURL}" method="GET">
	    				<input type="hidden" name="focusedTabID" value="{$focusedTabID}" />
	    				<input type="hidden" name="mode" value="view" />
	    				<input type="hidden" name="selectedID" value="" />
	    				<input type="hidden" name="targetAction" value="no targetAction parameter" />
	    				<input type="hidden" name="targetRestriction" value="no targetRestriction parameter" />
	    				<input type="hidden" name="uP_cancel_targets" value="true" />
	    				<input type="hidden" name="uP_save" value="all" />
	    				<input type="hidden" name="uP_sparam" value="focusedTabID" />
	    				<input type="hidden" name="uP_sparam" value="mode" />
	    				<input type="hidden" name="uP_sparam" value="selectedID" />
	    				<input type="hidden" name="uP_sparam" value="targetAction" />
	    				<input type="hidden" name="uP_sparam" value="targetRestriction" />
	    				<input type="hidden" name="uP_sparam" value="uP_save" />
	    				<input type="submit" value="{$token[@name='PREFERENCES_SAVE_BUTTON']}" title="{$token[@name='PREFERENCES_SAVE_BUTTON_TITLE']}" class="form-button-emphasis" />
	    			</form>
	    			<form class="last" action="{$baseActionURL}" method="GET">
	    				<input type="hidden" name="mode" value="view" />
	    				<input type="hidden" name="selectedID" value="" />
	    				<input type="hidden" name="targetAction" value="no targetAction parameter" />
	    				<input type="hidden" name="targetRestriction" value="no targetRestriction parameter" />
	    				<input type="hidden" name="uP_cancel_targets" value="true" />
	    				<input type="hidden" name="uP_reload_layout" value="true" />
	    				<input type="hidden" name="uP_root" value="root" />
	    				<input type="hidden" name="uP_sparam" value="mode" />
	    				<input type="hidden" name="uP_sparam" value="selectedID" />
	    				<input type="hidden" name="uP_sparam" value="targetAction" />
	    				<input type="hidden" name="uP_sparam" value="targetRestriction" />
	    				<input type="submit" value="{$token[@name='PREFERENCES_CANCEL_BUTTON']}" title="{$token[@name='PREFERENCES_CANCEL_BUTTON_TITLE']}" class="form-button-cancel" />
	    			</form>
    			</div>
    		</div>
    	</div>
    </xsl:template>


	<!-- ################################################################################# -->
    <!--                                    ACTIONS (Preferences)                          -->
	<!-- ################################################################################# -->
	<!-- SAMPLE XML -->
	<!--
	<actions />
	-->
    <xsl:template match="actions">
		<div id="portal-preferences-page-title">
			<h2><xsl:value-of select="$token[@name='PREFERENCES_PAGE_TITLE']" /></h2>
		</div>

        <div class="portal-preferences-actions">
            <div class="portal-preferences-actions-header">
                <div class="portal-preferences-actions-header-inner">
                    <span class="uportal-channel-title"><xsl:value-of select="$token[@name='PREFERENCES_USER_ACTIONS']" /></span>
                </div>
            </div>
            <div class="portal-preferences-actions-body">
                <div class="portal-preferences-actions-body-inner">
                    <xsl:call-template name="actionList"/>
                </div>
            </div>
            <xsl:choose>
                <xsl:when test="not($errorMessage='no errorMessage passed')">
                    <xsl:call-template name="messageRow"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:call-template name="statusCheck"/>
                </xsl:otherwise>
            </xsl:choose>
        </div>
    </xsl:template>

	<!-- ############ -->
    <!-- STATUS CHECK -->
	<!-- ############ -->
    <xsl:template name="statusCheck"/>
    
    
	<!-- ############ -->
    <!-- MESSAGE ROW  -->
	<!-- ############ -->
    <xsl:template name="messageRow">
        <!-- Message Row -->
        <div class="portal-message-item">
            <div class="portal-message-item-inner">
                <xsl:call-template name="message"/>
            </div>
        </div>
        <!-- End Message Row -->
    </xsl:template>
    
    
	<!-- ####### -->
    <!-- MESSAGE -->
	<!-- ####### -->
    <xsl:template name="message">
        <xsl:param name="messageString" select="$errorMessage"/>
        <!-- Message Table -->
        <div class="portal-message-container">
            <div class="portal-message-container-inner">
                <span class="uportal-channel-title">
                    <!-- ~ -->
                    <!--  Can be used for debugging - push messages out to the interface -->
                    <!-- ~ -->
                    <xsl:value-of select="$messageString"/>
                </span>
            </div>
        </div>
        <!-- End Message Table -->
    </xsl:template>

	<!-- ########### -->
    <!-- ACTION LIST -->
	<!-- ########### -->
    <xsl:template name="actionList">
        <xsl:choose>
        	<xsl:when test="not($targetRestriction='no targetRestriction parameter')">
        	<div class="portal-preferences-controls-cancel">
            	<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" class="portal-preferences-controls-cancel-link" title="{$token[@name='PREFERENCES_CANCEL_ACTION_LONG_LABEL']}">
                	<xsl:value-of select="$token[@name='PREFERENCES_CANCEL_ACTION_LABEL_PRE']" /><xsl:value-of select="$targetAction"/><xsl:value-of select="$token[@name='PREFERENCES_CANCEL_ACTION_LABEL_POST']" />
                </a>
        	</div>
        	</xsl:when>
          
        	<xsl:otherwise>
            <ul class="portal-preferences-controls">
                <li class="portal-preferences-controls-add-tab first">
                    <xsl:variable name="addNewTabUrl">
                        <portal:url>
                            <!-- by default, add a new tab with two empty columns, one narrow, one wide -->
                            <layout:addFolder name="New Tab" hidden="false" parentId="userLayoutRootNode" nextId="">
                                <layout:addFolder name="column1">
                                    <layout:attribute provider="structure" name="width" value="{$NARROW_COLUMN_WIDTH}"/>
                                </layout:addFolder>
                                <layout:addFolder name="column2">
                                    <layout:attribute provider="structure" name="width" value="100"/>
                                </layout:addFolder>
                            </layout:addFolder>
                        </portal:url>
                    </xsl:variable>
                    <a href="{$addNewTabUrl}" class="portal-preferences-controls-add-tab-link" title="{$token[@name='PREFERENCES_ADD_TAB_LONG_LABEL']}">
	                    <xsl:value-of select="$token[@name='PREFERENCES_ADD_TAB_LABEL']" />
                	</a>
                </li>
                <li class="portal-preferences-controls-add-column">
                    <xsl:variable name="addNewColumnUrl">
                        <portal:url>
                            <!-- add a wide column to the end -->
                            <layout:addFolder name="column" hidden="false" parentId="{$focusedTabID}" nextId="">
                                <layout:attribute provider="structure" name="width" value="100"/>
                            </layout:addFolder>
                        </portal:url>
                    </xsl:variable>    
                    <a href="{$addNewColumnUrl}" class="portal-preferences-controls-add-column-link" title="{$token[@name='PREFERENCES_ADD_COLUMN_LONG_LABEL']}">
	                    <xsl:value-of select="$token[@name='PREFERENCES_ADD_COLUMN_LABEL']" />
                	</a>
                </li>
                <li class="portal-preferences-controls-add-content">
                	<a href="{$baseActionURL}?uP_fname=uP3.PortletSubscriber&amp;uPcCS_action=init&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" class="portal-preferences-controls-add-content-link" title="{$token[@name='PREFERENCES_ADD_CONTENT_LONG_LABEL']}">
	                    <xsl:value-of select="$token[@name='PREFERENCES_ADD_CONTENT_LABEL']" />
                	</a>
                </li>
                <li class="portal-preferences-controls-skins">
                	<a href="{$baseActionURL}?uP_fname=uP3.ThemeSelector&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" class="portal-preferences-controls-skins-link" title="{$token[@name='PREFERENCES_SKINS_LONG_LABEL']}">
	                    <xsl:value-of select="$token[@name='PREFERENCES_SKINS_LABEL']" />
                	</a>
                </li>
                <li class="portal-preferences-controls-languages">
                	<a href="{$baseActionURL}?uP_fname=uP3.LocaleSelector&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" class="portal-preferences-controls-languages-link" title="{$token[@name='PREFERENCES_LANGUAGES_LONG_LABEL']}">
	                    <xsl:value-of select="$token[@name='PREFERENCES_LANGUAGES_LABEL']" />
                	</a> 
                </li>
                <!--<li class="portal-preferences-controls-off">
                	<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=view&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" class="portal-preferences-controls-off-link" title="{$token[@name='PREFERENCES_OFF_LONG_LABEL']}">
                    	<xsl:value-of select="$token[@name='PREFERENCES_OFF_LABEL']" /> 
                	</a>
                </li> -->
            </ul>
        	 
        	</xsl:otherwise>
        </xsl:choose>
    </xsl:template>    


	<!-- ################################################################################# -->
    <!--                                 MOVE TARGET                                       -->
	<!-- ################################################################################# -->
	<!-- SAMPLE XML -->
	<!--
	<move_target />
	-->
    <xsl:template match="move_target">
        <xsl:param name="type"/>
        <xsl:choose>
            <xsl:when test="$type='tab'">
                <!-- Move target Icon for Tabs -->
                <a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" title="{$token[@name='TAB_MOVE_TARGET_LONG_LABEL']}">
                    <xsl:value-of select="$token[@name='TAB_MOVE_TARGET_LABEL']" />
                </a>
                <!-- End Move Target Icon -->
            </xsl:when>
            <xsl:when test="$type='column'">
                <div class="portal-column-move-target">
	                <div class="portal-column-move-target-inner">
	                    <a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" title="{$token[@name='COLUMN_MOVE_TARGET_LONG_LABEL']}">
                            <xsl:value-of select="$token[@name='COLUMN_MOVE_TARGET_LABEL']" />
	                    </a>
	                </div>
                </div>
            </xsl:when>
            <xsl:when test="$type='channel'">
                <div class="portal-channel-move-target">
                    <div class="portal-channel-move-target-inner">
                        <a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" title="{$token[@name='CHANNEL_MOVE_TARGET_LONG_LABEL']}">
                            <xsl:value-of select="$token[@name='CHANNEL_MOVE_TARGET_LABEL']" />
                        </a>
                    </div>
                </div>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    
    
	<!-- ################################################################################ -->
    <!--                                 ADD TARGET                                       -->
	<!-- ################################################################################ -->
	<!-- SAMPLE XML -->
	<!--
	<add_target />
	-->
    <!-- ADD TARGET -->
    <xsl:template match="add_target">
        <!-- Add target Icon in the Tabline -->
        <xsl:if test="$targetRestriction='tab'">
            <!-- &amp;uP_sparam=selectedID&amp;selectedID= -->
            <a href="{$baseActionURL}?uP_add_target=folder&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=" title="{$token[@name='TAB_ADD_TARGET_LONG_LABEL']}">
                <xsl:value-of select="$token[@name='TAB_ADD_TARGET_LABEL']" />
            </a>
        </xsl:if>
        <!-- End Add Target Icon in the Tabline -->
        <!-- Add target Icon in the Columns -->
        <xsl:if test="$targetRestriction='column'">
            <div class="portal-column-add-target">
                <div class="portal-column-add-target-inner">
                    <a href="{$baseActionURL}?uP_add_target=folder&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=" title="{$token[@name='COLUMN_ADD_TARGET_LONG_LABEL']}">
                        <xsl:value-of select="$token[@name='COLUMN_ADD_TARGET_LABEL']" />
                    </a>
                </div>
            </div>
        </xsl:if>
        <!-- End Add Target Icon in the Columns -->
        <!-- Add target Icon in the Channels -->
        <xsl:if test="$targetRestriction='channel'">
            <div class="portal-channel-add-target">
                <div class="portal-channel-add-target-inner">
                    <a href="{$baseActionURL}?uP_add_target=channel&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=" title="{$token[@name='CHANNEL_ADD_TARGET_LONG_LABEL']}">
                        <xsl:value-of select="$token[@name='CHANNEL_ADD_TARGET_LABEL']" />
                    </a>
                </div>
            </div>
        </xsl:if>
        <!-- End Add Target Icon in the Channels -->
    </xsl:template>
    
	
</xsl:stylesheet>
