<?xml version="1.0"?>
<!--
 | Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 | See license distributed with this file and
 | available online at http://www.uportal.org/license.html
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- ################################################################################# -->
    <!--                                  INACTIVE TAB                                     -->
	<!-- ################################################################################# -->
	<!-- SAMPLE XML -->
	<!--
	<inactiveTab unremovable="true" immutable="false" ID="a31" name="Channels" />
	-->
    <xsl:template match="inactiveTab">
        <xsl:choose>
            <xsl:when test="$targetAction='Tab Move' or $targetAction='Channel Move' or $targetAction='Column Move'">
                <a href="{$baseActionURL}?uP_request_move_targets={$selectedID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
                    <span><xsl:value-of select="@name"/></span>
                </a>
            </xsl:when>
            <xsl:when test="$targetAction='New Tab' or $targetAction='New Column'">
                <a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
                    <span><xsl:value-of select="@name"/></span>
                </a>
            </xsl:when>
            <xsl:when test="$targetAction='New Channel'">
                <a href="{$baseActionURL}?uP_request_add_targets=channel&amp;uP_sparam=channelPublishID&amp;channelPublishID={$channelPublishID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
                    <span><xsl:value-of select="@name"/></span>
                </a>
            </xsl:when>
            <xsl:otherwise>
                <a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}">
                    <span><xsl:value-of select="@name"/></span>
                </a>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    
	<!-- ################################################################################ -->
    <!--                                  FOCUSED TAB                                     -->
	<!-- ################################################################################ -->
	<!-- SAMPLE XML -->
	<!--
	<focusedTab unremovable="false" immutable="false" ID="a3" name="uPortal" />
	-->
    <xsl:template match="focusedTab">
        <!--Tab name block-->
        <xsl:choose>
            <xsl:when test="$mode='view'">
                <span>
                    <xsl:value-of select="@name"/>
                </span>
            </xsl:when>
            <xsl:when test="$mode='preferences'">
                <xsl:call-template name="tabRestrictions"/>
            </xsl:when>
        </xsl:choose>
        <!--End Tab name block-->
    </xsl:template>
    
    
	<!-- ################################################################################ -->
    <!--                                 SELECTED TAB                                     -->
	<!-- ################################################################################ -->
	<!-- SAMPLE XML -->
	<!--
	<selectedTab unremovable="false" immutable="false" ID="a40" name="Unnamed 2" />
	-->
    <xsl:template match="selectedTab">
        <!-- Begin Selected Tab Content Table -->
        <span>
            <xsl:value-of select="@name"/>
        </span>
        <a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true" title="{$token[@name='CANCEL_TAB_MOVE_LONG_LABEL']}">
            <xsl:value-of select="$token[@name='CANCEL_TAB_MOVE_LABEL']" />
        </a>
        <!-- End Selected Tab Content Table -->
    </xsl:template>


	<!-- ################ -->
    <!-- TAB RESTRICTIONS -->
	<!-- ################ -->
    <xsl:template name="tabRestrictions">
        <xsl:choose>
            <!-- Check if the node is immutable before allowing rename the tab -->
            <xsl:when test="@immutable='false'">
				<form method="post" action="{$baseActionURL}">
	                <input name="uP_target_name" type="text" class="portal-tab-rename-field" value="{@name}" size="{string-length(@name)}" />
	                <input type="hidden" name="uP_rename_target" value="{@ID}" />
	                <input type="hidden" name="uP_sparam" value="mode" />
	                <input type="hidden" name="mode" value="{$mode}" />
	                <input type="hidden" name="uP_sparam" value="focusedTabID" />
	                <input type="hidden" name="focusedTabID" value="{$focusedTabID}" />
	                <!--<input name="renameTab" type="image" src="{$mediaPathSkin}/tab_name_submit.gif" alt="{$token[@name='RENAME_TAB_TITLE']}" title="{$token[@name='RENAME_TAB_TITLE']}" /> -->
			        <button title="{$token[@name='RENAME_TAB_LONG_LABEL']}" type="submit" class="portal-tab-rename-control"><span><xsl:value-of select="$token[@name='RENAME_TAB_LABEL']" /></span></button>
			    </form>
            </xsl:when>
            <xsl:otherwise>
                <span class="portal-tab-rename-disabled"><xsl:value-of select="@name"/></span>
            </xsl:otherwise>
        </xsl:choose>
        
        <!-- Check if the parent node is immutable before allowing move -->
        <xsl:if test = "$USE_TAB_AUTO_MOVE != 'true'">
	        <xsl:choose>
	            <xsl:when test="/layout/@immutable='false' and count(/layout/navigation/*) &gt; 1">
	                <!--<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=tab&amp;uP_sparam=targetAction&amp;targetAction=Tab Move">
	                    <img alt="{$token[@name='MOVE_TAB_TITLE']}" title="{$token[@name='MOVE_TAB_TITLE']}" src="{$mediaPathSkin}/moveicon.gif" width="22" height="18" border="0"/>
	                </a> -->
					<form method="post" action="{$baseActionURL}">
						<input type="hidden" name="uP_request_move_targets" value="{@ID}" />
						<input type="hidden" name="uP_sparam" value="mode" />
						<input type="hidden" name="mode" value="{$mode}" />
						<input type="hidden" name="uP_sparam" value="selectedID" />
						<input type="hidden" name="selectedID" value="{@ID}" />
						<input type="hidden" name="uP_sparam" value="focusedTabID" />
						<input type="hidden" name="focusedTabID" value="{@ID}" />
						<input type="hidden" name="uP_sparam" value="targetRestriction" />
						<input type="hidden" name="targetRestriction" value="tab" />
						<input type="hidden" name="uP_sparam" value="targetAction" />
						<input type="hidden" name="targetAction" value="Tab Move" />
						<button title="{$token[@name='MOVE_TAB_LONG_LABEL']}" type="submit" class="portal-tab-move"><span><xsl:value-of select="$token[@name='MOVE_TAB_LABEL']" /></span></button>
				    </form>
	            </xsl:when>
	            <xsl:otherwise>
	                <!--<img alt="{$token[@name='MOVE_TAB_DISABLED_TITLE']}" title="{$token[@name='MOVE_TAB_DISABLED_TITLE']}" src="{$mediaPathSkin}/moveicondisabled.gif" width="22" height="18" border="0"/> -->
			        <form><button title="{$token[@name='MOVE_TAB_DISABLED_LONG_LABEL']}" type="button" class="portal-tab-move-disabled" disabled="disabled"><span><xsl:value-of select="$token[@name='MOVE_TAB_DISABLED_LABEL']" /></span></button></form>
	            </xsl:otherwise>
	        </xsl:choose>
        </xsl:if>


		<!-- Move Left -->
        
        <xsl:if test = "$USE_TAB_AUTO_MOVE = 'true'">
	        <xsl:choose>
	            <xsl:when test="/layout/@immutable='false' and count(preceding-sibling::*) &gt; 0">
	                <!--<a href="{$baseActionURL}?uP_request_move_targets={$focusedTabID}&amp;uP_move_target={@ID}&amp;targetNextID={preceding-sibling::*[1]/@ID}&amp;targetParentID=userLayoutRootNode&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=Tab Move&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true"><img alt="{$token[@name='MOVE_TAB_LEFT_TITLE']}" title="{$token[@name='MOVE_TAB_LEFT_TITLE']}" src="{$mediaPathSkin}/tab_left_on.gif" /></a> -->
					<form method="post" action="{$baseActionURL}"><input type="hidden" name="uP_request_move_targets" value="{$focusedTabID}" /><input type="hidden" name="uP_move_target" value="{@ID}" /><input type="hidden" name="targetNextID" value="{preceding-sibling::*[1]/@ID}" /><input type="hidden" name="targetParentID" value="userLayoutRootNode" /><input type="hidden" name="uP_sparam" value="mode" /><input type="hidden" name="mode" value="{$mode}" /><input type="hidden" name="uP_sparam" value="focusedTabID" /><input type="hidden" name="focusedTabID" value="{@ID}" /><input type="hidden" name="uP_sparam" value="targetRestriction" /><input type="hidden" name="targetRestriction" value="no targetRestriction parameter" /><input type="hidden" name="uP_sparam" value="targetAction" /><input type="hidden" name="targetAction" value="Tab Move" /><input type="hidden" name="uP_sparam" value="selectedID" /><input type="hidden" name="selectedID" value="" /><input type="hidden" name="uP_cancel_targets" value="true" /><button title="{$token[@name='MOVE_TAB_LEFT_LONG_LABEL']}" type="submit" class="portal-tab-move-left"><span><xsl:value-of select="$token[@name='MOVE_TAB_LEFT_LABEL']" /></span></button></form>
	            </xsl:when>
	            <xsl:otherwise>
	                <!--<img alt="{$token[@name='MOVE_TAB_LEFT_DISABLED_TITLE']}" title="{$token[@name='MOVE_TAB_LEFT_DISABLED_TITLE']}" src="{$mediaPathSkin}/tab_left_off.gif" /> -->
			        <form><button title="{$token[@name='MOVE_TAB_LEFT_DISABLED_LONG_LABEL']}" type="button" class="portal-tab-move-left-disabled" disabled="disabled"><span><xsl:value-of select="$token[@name='MOVE_TAB_LEFT_DISABLED_LABEL']" /></span></button></form>
	            </xsl:otherwise>
	        </xsl:choose>
        </xsl:if>

		<!-- Move Right -->

        <xsl:if test = "$USE_TAB_AUTO_MOVE = 'true'">
	        <xsl:choose>
	            <xsl:when test="/layout/@immutable='false' and count(following-sibling::*) &gt; 0">
					<!-- Calculate the ID to move it to (the tab 2 tabs to the right - or leave blank if no tab 2 to the right)  -->
					<xsl:variable name = "rightID">
						<xsl:choose>
							<xsl:when test="following-sibling::*[2]"><xsl:value-of select="following-sibling::*[2]/@ID" /></xsl:when>
							<xsl:otherwise></xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
	                <!--<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_move_target={@ID}&amp;targetNextID={$rightID}&amp;targetParentID=userLayoutRootNode&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=Tab Move&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true"><img alt="{$token[@name='MOVE_TAB_RIGHT_TITLE']}" title="{$token[@name='MOVE_TAB_RIGHT_TITLE']}" src="{$mediaPathSkin}/tab_right_on.gif" /></a> -->
					<form method="post" action="{$baseActionURL}"><input type="hidden" name="uP_request_move_targets" value="{@ID}" /><input type="hidden" name="uP_move_target" value="{@ID}" /><input type="hidden" name="targetNextID" value="{$rightID}" /><input type="hidden" name="targetParentID" value="userLayoutRootNode" /><input type="hidden" name="uP_sparam" value="mode" /><input type="hidden" name="mode" value="{$mode}" /><input type="hidden" name="uP_sparam" value="focusedTabID" /><input type="hidden" name="focusedTabID" value="{@ID}" /><input type="hidden" name="uP_sparam" value="targetRestriction" /><input type="hidden" name="targetRestriction" value="no targetRestriction parameter" /><input type="hidden" name="uP_sparam" value="targetAction" /><input type="hidden" name="targetAction" value="Tab Move" /><input type="hidden" name="uP_sparam" value="selectedID" /><input type="hidden" name="selectedID" value="" /><input type="hidden" name="uP_cancel_targets" value="true" /><button title="{$token[@name='MOVE_TAB_RIGHT_LONG_LABEL']}" type="submit" class="portal-tab-move-right"><span><xsl:value-of select="$token[@name='MOVE_TAB_RIGHT_LABEL']" /></span></button></form>
	            </xsl:when>
	            <xsl:otherwise>
	                <!--<img alt="{$token[@name='MOVE_TAB_RIGHT_DISABLED_TITLE']}" title="{$token[@name='MOVE_TAB_RIGHT_DISABLED_TITLE']}" src="{$mediaPathSkin}/tab_right_off.gif" /> -->
			        <form><button title="{$token[@name='MOVE_TAB_RIGHT_DISABLED_LONG_LABEL']}" type="button" class="portal-tab-move-right-disabled" disabled="disabled"><span><xsl:value-of select="$token[@name='MOVE_TAB_RIGHT_DISABLED_LABEL']" /></span></button></form>
	            </xsl:otherwise>
	        </xsl:choose>
        </xsl:if>

        <!-- Check if the node is unremovable before allowing delete -->
        <xsl:choose>
            <xsl:when test="/layout/@immutable='false' and @unremovable='false'">
                <!--<a href="{$baseActionURL}?uP_remove_target={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onClick="return confirm('{$token[@name='DELETE_TAB_CONFIRMATION']}')">
                    <img class="portal-tab-icon portal-tab-icon-delete" alt="{$token[@name='DELETE_TAB_TITLE']}" title="{$token[@name='DELETE_TAB_TITLE']}" src="{$mediaPathSkin}/delete_on.gif" />
                </a> -->
				<form method="post" action="{$baseActionURL}">
					<input type="hidden" name="uP_remove_target" value="{@ID}" />
					<input type="hidden" name="uP_sparam" value="mode" />
					<input type="hidden" name="mode" value="{$mode}" />
					<button title="{$token[@name='DELETE_TAB_LONG_LABEL']}" type="submit" class="portal-tab-remove" onClick="return confirm('{$token[@name='DELETE_TAB_CONFIRMATION']}')"><span><xsl:value-of select="$token[@name='DELETE_TAB_LABEL']" /></span></button>
			    </form>
            </xsl:when>
            <xsl:otherwise>
                <!--<img class="portal-tab-icon portal-tab-icon-delete-disabled" alt="{$token[@name='DELETE_TAB_DISABLED_TITLE']}" title="{$token[@name='DELETE_TAB_DISABLED_TITLE']}" src="{$mediaPathSkin}/delete_off.gif" /> -->
		        <form><button title="{$token[@name='DELETE_TAB_DISABLED_LONG_LABEL']}" type="button" class="portal-tab-remove-disabled" disabled="disabled"><span><xsl:value-of select="$token[@name='DELETE_TAB_DISABLED_LABEL']" /></span></button></form>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
	
</xsl:stylesheet>
