<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" doctype-system="http://developer.ja-sig.org/projects/dtds/uportal/3/layout-SNAPSHOT.dtd" 
     doctype-public="-//JA-SIG.//DTD user layout 3.0//EN"/> 
    <xsl:template match="layout">
        <portalContent>
            <xsl:choose>
                <xsl:when test="@mode">
                    <xsl:attribute name="mode"><xsl:value-of select="@mode"/></xsl:attribute>
                    <xsl:apply-templates/>
                </xsl:when>
                <xsl:otherwise>
                    <layout>
                        <xsl:apply-templates/>
                    </layout>
                </xsl:otherwise>
            </xsl:choose>
            
        </portalContent>
    </xsl:template>

	<xsl:template match="channel">
		<portlet ID="{@ID}" portletWindowId="{@portletWindowId}" fname="{@fname}" moveAllowed="{not(@immutable = 'true')}" editAllowed="{@immutable}" deleteAllowed="{not(@unremovable = 'true')}">
		    <xsl:if test="@name"><displayName><xsl:value-of select="@name"/></displayName></xsl:if>
            <xsl:if test="@hidden"><xsl:attribute name="hidden"><xsl:value-of select="@hidden"/></xsl:attribute></xsl:if>
            <xsl:if test="@description"><description><xsl:value-of select="@description"/></description></xsl:if>
        </portlet>
	</xsl:template>
    
    <xsl:template match="folder">
        <folder ID="{@ID}" moveAllowed="{not(@immutable = 'true')}" editAllowed="{@immutable}" deleteAllowed="{not(@unremovable = 'true')}">
            <xsl:if test="@fname"><xsl:attribute name="name"><xsl:value-of select="@fname"/></xsl:attribute></xsl:if>
            <xsl:if test="@hidden"><xsl:attribute name="hidden"><xsl:value-of select="@hidden"/></xsl:attribute></xsl:if>
            <xsl:if test="@name"><displayName><xsl:value-of select="@name"/></displayName></xsl:if>
            <xsl:if test="@description"><description><xsl:value-of select="@description"/></description></xsl:if>
            <xsl:apply-templates/>
        </folder>
    </xsl:template>
    
	<xsl:template match="@*|*|processing-instruction()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>