<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" doctype-system="http://developer.ja-sig.org/projects/dtds/uportal/3/userlayout-SLM-SNAPSHOT.dtd" 
     doctype-public="-//JA-SIG.//DTD user layout 3.0//EN"/> 
    
    <xsl:template match="portalContent">
        <layout>
            <xsl:if test="@mode">
                <xsl:attribute name="mode"><xsl:value-of select="@mode"/></xsl:attribute>
            </xsl:if>            
            <xsl:apply-templates/>
        </layout>
    </xsl:template>

    <xsl:template match="layout">
        <xsl:apply-templates/>
    </xsl:template>
    
	<xsl:template match="portlet">
		<channel ID="{@ID}" portletWindowId="{@portletWindowId}" fname="{@fname}" immutable="{@moveAllowed = 'false'}" unremovable="{@deleteAllowed = 'false'}">
            <xsl:if test="./displayName"><xsl:attribute name="name"><xsl:value-of select="./displayName"/></xsl:attribute></xsl:if>
            <xsl:if test="@hidden"><xsl:attribute name="hidden"><xsl:value-of select="@hidden"/></xsl:attribute></xsl:if>
            <xsl:if test="./description"><xsl:attribute name="description"><xsl:value-of select="./description"/></xsl:attribute></xsl:if>
            <xsl:apply-templates/>
        </channel>
	</xsl:template>
    
    <xsl:template match="folder">
        <folder ID="{@ID}" immutable="{@moveAllowed = 'false'}" unremovable="{@deleteAllowed = 'false'}">
            <xsl:if test="@name"><xsl:attribute name="fname"><xsl:value-of select="@name"/></xsl:attribute></xsl:if>
            <xsl:if test="@hidden"><xsl:attribute name="hidden"><xsl:value-of select="@hidden"/></xsl:attribute></xsl:if>
            <xsl:if test="./displayName"><xsl:attribute name="name"><xsl:value-of select="./displayName"/></xsl:attribute></xsl:if>
            <xsl:if test="./description"><xsl:attribute name="description"><xsl:value-of select="./description"/></xsl:attribute></xsl:if>
            <xsl:apply-templates/>
        </folder>
    </xsl:template>
    
	<xsl:template match="@*|*|processing-instruction()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
